Bug 270206 - "podcast directory" not add news subscriptions to podcasts
Summary: "podcast directory" not add news subscriptions to podcasts
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Podcast (show other bugs)
Version: 2.4-GIT
Platform: Archlinux Packages Linux
: NOR normal (vote)
Target Milestone: 2.4.1
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-06 11:06 UTC by desaparecido
Modified: 2011-04-15 10:18 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.4.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description desaparecido 2011-04-06 11:06:40 UTC
Version:           2.4-GIT (using Devel) 
OS:                Linux

with script "podcast directory" when I try to subscribe new podcast channel nothing is added, I only have the olds subcriptions.

Reproducible: Always

Steps to Reproduce:
re-start amarok, re-starting script "podcast directory"

Actual Results:  
the same result than in "details"

Expected Results:  
add the new subcription podcast in my podcasts selection

OS: Linux (i686) release 2.6.38-ARCH
Compiler: gcc
Comment 1 Bart Cerneels 2011-04-06 11:30:33 UTC
Which specific item in the podcast directory are you trying to subscribe to? I've found that some of the OPMLs in there don't have proper attributes.
Comment 2 Bart Cerneels 2011-04-06 11:44:58 UTC
Git commit 74add702c67ee3141e13a4096d1501e46fdb529e by Bart Cerneels.
Committed on 06/04/2011 at 11:48.
Pushed by shanachie into branch 'master'.

Handle non OPML 2.0 compliant directory correctly.

digitalpodcast is not using rssUrl attribute.

BUG:270206

M  +8    -2    src/services/opmldirectory/OpmlDirectoryModel.cpp     

http://commits.kde.org/amarok/74add702c67ee3141e13a4096d1501e46fdb529e
Comment 3 desaparecido 2011-04-06 20:47:20 UTC
with amarok builded recently (this afternoon in belgium GMT +2) the subscription from DIGITAL PODCAST DIRECTORY (in PUBLIC PODCAST DIRECTORY) works fine, but from PODFEED.NET PODCAST DIRECTORY not even works
Comment 4 Bart Cerneels 2011-04-15 10:18:57 UTC
Git commit 60f473c914500abab77bbb069f2eeb5f6f27c477 by Bart Cerneels.
Committed on 15/04/2011 at 10:23.
Pushed by shanachie into branch 'master'.

Increase compatibility with OPML directories.

Just ignore the outline type and look for a usable url.

BUG:270206

M  +0    -2    src/services/opmldirectory/OpmlDirectoryModel.cpp     

http://commits.kde.org/amarok/60f473c914500abab77bbb069f2eeb5f6f27c477